* create_stat
local cPath, lclocalTableName, error_path
	m.cPath = alltrim(options.pathdb)

m.error_path = create_directory(m.cPath)
if m.error_path > 0
	do form create_directory with '    ',(m.cPath) to m.cPath
endif
if is_directory(m.cPath) &&    
	cd (m.cPath)
else
	m.cPath = sys(5)+_screen.curdir
endif
replace options.pathdb with m.cPath in options

m.lclocalTableName = 'SquidLog' &&   
if !file(m.lclocalTableName+'.dbf')
	create table (m.lclocalTableName) free ( ;
		id c(10), ;			&&  0  
		timestamp t, ;		&&  1 DateTime,   Fox
		elapsed i, ;		&&  2    
		id_ip i, ;			&&  3 IP   15
		id_action i, ;		&&  4  Squid- 40
		size i, ;			&&  5   15		
		id_method i, ;		&&  6 Get/Post/Connect ... 10
		Host c(60), ;		&&	7 Host
		id_ident i, ;		&&  8   15
		id_hierar i, ;		&&  9     15
		id_content i, ;		&& 10   Squid Native 30
		id_source i, ;		&& 11 id  
		id_prot i, ;		&& 12 
		id_ext i, ;			&& 13   SquidMonitor Native
		id_hostg i, ;		&& 14 ID  
		kod i, ;			&& 15  
		url m)				&& 16
	use
endif
use (m.lclocalTableName) in 0
select (m.lcLocalTableName)
if !file(m.lcLocalTableName+'.cdx')
	index on id					tag id
	index on transform(id_source)+ttoc(timestamp)			tag stimestamp
	index on ttod(timestamp)	tag dtimestamp
	index on id_ip				tag id_ip
	index on id_action			tag id_action
	index on id_method			tag id_method
	index on id_ident			tag id_ident
	index on id_hierar			tag id_hierar
	index on id_content			tag id_content
	index on id_source			tag id_source
	index on id_prot			tag id_prot
	index on id_ext				tag id_ext
	index on id_hostg			tag id_hostg
endif

m.lclocalTableName = 'SquidLogM' &&   
if !file(m.lclocalTableName+'.dbf')
	create table (m.lclocalTableName) free ( ;
		id c(10), ;			&& 1  
		url m )				&& 4  URL
	use
endif
use (m.lclocalTableName) in 0
select (m.lcLocalTableName)
if !file(m.lcLocalTableName+'.cdx')
	index on id	tag id
endif

m.lclocalTableName = 'AccessTS' &&   
if !file(m.lclocalTableName+'.dbf')
	create table (m.lclocalTableName) free ( ;
		id i autoinc, ;			&& 1  
		id_source i, ;
		ts1 t, ;
		ts2 t)
	use
endif
use (m.lclocalTableName) in 0
select (m.lcLocalTableName)
if !file(m.lcLocalTableName+'.cdx')
	index on id	tag id
endif

if !(m.cPath == sys(5)+_screen.curdir)
	cd ..
endif