* create_tables
*cursorsetprop('Buffering', 5, m.lclocalTableName)  && Enable table buffering

local error_path
	m.error_path = create_directory(_screen.db_local)
if m.error_path > 0
	messagebox('   db_local = <' + alltrim(_screen.db_local)+ '> ' + transform(m.error_path))
endif

create_table_options(.f.)
create_table_vidgurnal(.f.)
create_table_vidreport(.f.)
create_table_Sources(.f.)


create2table('TypeData',.f.)
create2table('Host',.f.)
create2table('protocol',.f.)

createipuser('ippsevdo',.f.)
createipuser('userpsevdo',.f.)

create1table('actions',40)
create1table('methods',10)
create1table('hierars',30)
create1table('contents',30)

create_stat()


*
*        
*     -   (default)
*
procedure create_table_options
lparameters torecover
	* m.lclocalTableName - 
	* torecover - .f. -  1  / .t.  .. reset_to_default
	m.lclocalTableName = 'Options' &&  
	if !empty(_screen.db_local)
		cd (_screen.db_local)
	endif
	Close_Alias(m.lclocalTableName)
	if !file(m.lclocalTableName+'.dbf') or m.torecover
		create table (m.lclocalTableName) free ;
			(pathdb c(254), ed n(1), sizekb i, pz n(1), triad n(1), useold n(1), srokold i, period1 d , period2 d, ;
			 color1 i, color2 i, color3 i, color4 i, color5 i)
			insert into options ;
				value( sys(5)+_screen.curdir+'DB_Stat', 2, 1024, 2, 0, 0, 60,date()-1,date(), ;
					   rgb(230,223,170), rgb(207,188,173), 0, 0, rgb(68,91,172) )
		use
	endif
	use (m.lclocalTableName) in 0
	if !empty(_screen.db_local)
		cd ..
	endif
endproc

procedure create_table_vidgurnal
lparameters torecover
	m.lclocalTableName = 'Vidgurnal' &&   
	if !empty(_screen.db_local)
		cd (_screen.db_local)
	endif	
	Close_Alias(m.lclocalTableName)
	if !file(m.lclocalTableName+'.dbf') or m.torecover
		create table (m.lclocalTableName) free ;
			(id i autoinc , idAlias c(10), idField c(10), idHeader c(13), ;
			 onoff n(1), nsize i, nedit n(1), nfilter n(1), mainfield c(10))
			insert into (m.lclocalTableName) (idAlias,idField,idHeader,onoff,nsize,nedit,nfilter,mainfield) ;
				value('cursor_log',	'timestamp','/',	1,115,0,0,'')
			insert into (m.lclocalTableName) (idAlias,idField,idHeader,onoff,nsize,nedit,nfilter,mainfield) ;
				value('cursor_log',	'host',	 	'',		 	1,220,0,0,'')
			insert into (m.lclocalTableName) (idAlias,idField,idHeader,onoff,nsize,nedit,nfilter,mainfield) ;
				value('Sources',	'name',	 	'',	 	1, 55,0,1,'id_source')
			insert into (m.lclocalTableName) (idAlias,idField,idHeader,onoff,nsize,nedit,nfilter,mainfield) ;
				value('ippsevdo',	'psevdo',	'IP ',	 	1, 95,0,1,'id_ip')
			insert into (m.lclocalTableName) (idAlias,idField,idHeader,onoff,nsize,nedit,nfilter,mainfield) ;
				value('methods',	'name', 	'',		1, 65,0,1,'id_method')
			insert into (m.lclocalTableName) (idAlias,idField,idHeader,onoff,nsize,nedit,nfilter,mainfield) ;
				value('actions',	'name', 	'',	1,175,0,1,'id_action')
			insert into (m.lclocalTableName) (idAlias,idField,idHeader,onoff,nsize,nedit,nfilter,mainfield) ;
				value('userpsevdo', 'psevdo',	'',1, 65,0,1,'id_ident')
			insert into (m.lclocalTableName) (idAlias,idField,idHeader,onoff,nsize,nedit,nfilter,mainfield) ;
				value('hierars',	'name', 	'',	 	1,110,0,1,'id_hierar')
			insert into (m.lclocalTableName) (idAlias,idField,idHeader,onoff,nsize,nedit,nfilter,mainfield) ;
				value('contents',	'name', 	'MIME',		 	1,165,0,1,'id_content')
			insert into (m.lclocalTableName) (idAlias,idField,idHeader,onoff,nsize,nedit,nfilter,mainfield) ;
				value('Host',		'name',	 	'',	1, 70,1,1,'id_hostg')
			insert into (m.lclocalTableName) (idAlias,idField,idHeader,onoff,nsize,nedit,nfilter,mainfield) ;
				value('protocol',	'name',	 	'',	 	1, 55,1,1,'id_prot')
			insert into (m.lclocalTableName) (idAlias,idField,idHeader,onoff,nsize,nedit,nfilter,mainfield) ;
				value('TypeData',	'name',	 	'',			1, 70,1,1,'id_ext')
			insert into (m.lclocalTableName) (idAlias,idField,idHeader,onoff,nsize,nedit,nfilter,mainfield) ;
				value('cursor_log','size',	 	'',		1, 50,0,0,'')
			insert into (m.lclocalTableName) (idAlias,idField,idHeader,onoff,nsize,nedit,nfilter,mainfield) ;
				value('cursor_log','elapsed', 	' ',1, 40,0,0,'')
			insert into (m.lclocalTableName) (idAlias,idField,idHeader,onoff,nsize,nedit,nfilter,mainfield) ;
				value('cursor_log',	'kod',	 	'',			1, 25,0,0,'')
		use
	endif
	use (m.lclocalTableName) in 0
	select (m.lcLocalTableName)
	*      
	if !file(m.lcLocalTableName+'.cdx') or m.torecover
		index on id tag id
	endif
	set order to tag id
	if !empty(_screen.db_local)
		cd ..
	endif
endproc
procedure create_table_vidreport
lparameters torecover
	m.lclocalTableName = 'Vidreport' &&   
	if !empty(_screen.db_local)
		cd (_screen.db_local)
	endif
	Close_Alias(m.lclocalTableName)
	if !file(m.lclocalTableName+'.dbf') or m.torecover
		create table (m.lclocalTableName) free (id i autoinc, pole c(10), rustext c(25), onoff n(1))
			insert into (m.lclocalTableName) (pole,rustext,onoff) value('p1',' ',	1) && 1
			insert into (m.lclocalTableName) (pole,rustext,onoff) value('p2',' ',			1) && 2
			insert into (m.lclocalTableName) (pole,rustext,onoff) value('p3','',					1) && 3
			insert into (m.lclocalTableName) (pole,rustext,onoff) value('p4','',					1) && 4
			insert into (m.lclocalTableName) (pole,rustext,onoff) value('p5','',					1) && 5
		use
	endif
	use (m.lclocalTableName) in 0
	select (m.lcLocalTableName)
	if !file(m.lcLocalTableName+'.cdx') or m.torecover
		index on id tag id
	endif
	set order to tag id
	if !empty(_screen.db_local)
		cd ..
	endif
endproc

procedure create_table_Sources
lparameters torecover
	m.lclocalTableName = 'Sources' &&   Access.Log -  Squid-
	if !empty(_screen.db_local)
		cd (_screen.db_local)
	endif
	Close_Alias(m.lclocalTableName)
	if !file(m.lclocalTableName+'.dbf') or m.torecover
		create table (m.lclocalTableName) free (id i autoinc, nuse n(1), name c(10), pathlog c(254))
		use
	endif
	use (m.lclocalTableName) in 0
	select (m.lcLocalTableName)
	if !file(m.lcLocalTableName+'.cdx') or m.torecover
		index on id tag id
		index on name tag name
	endif
	set order to tag id
	if !empty(_screen.db_local)
		cd ..
	endif
endproc

procedure create1table
lparameters lclocalTableName , size_name
	if !empty(_screen.db_local)
		cd (_screen.db_local)
	endif
	Close_Alias(m.lclocalTableName)
	if !file(m.lclocalTableName+'.dbf')
		create table (m.lclocalTableName) free (id i autoinc, name c(m.size_name))
		if inlist(m.lclocalTableName,'contents')
			 insert into (m.lclocalTableName) (name) value('')
		endif
		if inlist(m.lclocalTableName,'hierars')
			 insert into (m.lclocalTableName) (name) value('')
		endif
		use
	endif
	use (m.lclocalTableName) in 0
	select (m.lcLocalTableName)
	if !file(m.lcLocalTableName+'.cdx')
		index on id tag id
		index on name tag name
	endif
	set order to tag id
	if !empty(_screen.db_local)
		cd ..
	endif
endproc

procedure create2table
lparameters lclocalTableName, torecover
local tb1,tb2,tpn
	m.tpn = m.lclocalTableName
	* m.lclocalTableName -  
	* torecover - .f. -  1  / .t.  .. reset_to_default
	if !empty(_screen.db_local)
		cd (_screen.db_local)
	endif
	Close_Alias(m.lclocalTableName)
	if !file(m.lclocalTableName+'.dbf') or m.torecover
		create table (m.lclocalTableName) free (id i autoinc,name c(15))
			insert into (m.lclocalTableName) (name) value('')
		use
		m.tb1 = .t.
	endif
	use (m.lclocalTableName) in 0
	select (m.lcLocalTableName)
	if !file(m.lcLocalTableName+'.cdx') or m.torecover
		index on id tag id
		index on name tag name
	endif
	set order to tag id
	
	m.lclocalTableName = m.lclocalTableName + '1' && ,     "name"
	Close_Alias(m.lclocalTableName)
	if !file(m.lclocalTableName+'.dbf') or m.torecover
		create table (m.lclocalTableName) free (id i autoinc, idparent i, name c(10))
		use
		m.tb2 = .t.
	endif
	use (m.lclocalTableName) in 0
	select (m.lcLocalTableName)
	if !file(m.lcLocalTableName+'.cdx') or m.torecover
		index on id tag id
		index on idparent tag idp
		index on name tag name
	endif
	set order to tag id
	if !empty(_screen.db_local)
		cd ..
	endif
	if m.tb1 and m.tb2
		do ('default_'+m.tpn)
			insert into (m.tpn) (name) select parentname from cTMP group by parentname
			insert into (m.tpn+'1') (idparent,name) ;
				select b.id,a.name from cTmp as a left join (m.tpn) as b on a.parentname = b.name
			
		Close_Alias('cTmp')
	endif
endproc

procedure createipuser &&   DEFAULT (psevdo = name)
lparameters lclocalTableName, torecover
	if !empty(_screen.db_local)
		cd (_screen.db_local)
	endif
	Close_Alias(m.lclocalTableName)
	if !file(m.lclocalTableName+'.dbf')
		create table (m.lclocalTableName) free (id i autoinc, name c(15),psevdo c(30))
			insert into (m.lclocalTableName) (name,psevdo) value('-','')
		use
	endif
	use (m.lclocalTableName) in 0
	select (m.lcLocalTableName)
	if !file(m.lcLocalTableName+'.cdx')
		index on id tag id
		index on name tag name
		if lower(m.lclocalTableName) = 'ippsevdo'
			index on val(left(name,at('.',name,1))) * 1000 + ;
					 val(substr(name,at('.',name,1)+1,at('.',name,2)-at('.',name,1))) * 1000 + ;
					 val(substr(name,at('.',name,2)+1,at('.',name,3)-at('.',name,2))) * 1000 + ;
					 val(substr(name,at('.',name,3)+1)) tag ip
		endif
	endif
	set order to tag id
	if m.torecover
		scan
			replace psevdo with name
		endscan
	endif
	if !empty(_screen.db_local)
		cd ..
	endif
endproc

procedure Close_Alias
	lparameters cAlias
	if used(m.cAlias)
		use in (m.cAlias)
	endif
endproc

procedure default_host
	create cursor cTmp (id i autoinc, parentname c(15),name c(10))
	insert into ctmp (parentname,name) values('adult','eros')
	insert into ctmp (parentname,name) values('adult','porn')
	insert into ctmp (parentname,name) values('adult','xxx')
	insert into ctmp (parentname,name) values('adult','adult')
	insert into ctmp (parentname,name) values('adult','playboy')
	insert into ctmp (parentname,name) values('adult','sex')
	insert into ctmp (parentname,name) values('adult','pussy')
	insert into ctmp (parentname,name) values('adult','gay')
	insert into ctmp (parentname,name) values('adult','dirty')
	insert into ctmp (parentname,name) values('adult','dating')
	insert into ctmp (parentname,name) values('adult','erot')
	insert into ctmp (parentname,name) values('adult','fuck')
	insert into ctmp (parentname,name) values('adult','lover')
	insert into ctmp (parentname,name) values('adult','petting')
	insert into ctmp (parentname,name) values('adult','amateur')
	insert into ctmp (parentname,name) values('adult','hardcore')
	insert into ctmp (parentname,name) values('adult','nude')
	insert into ctmp (parentname,name) values('adult','virgin')
	insert into ctmp (parentname,name) values('adult','hot-')
	insert into ctmp (parentname,name) values('adult','orgy')
	insert into ctmp (parentname,name) values('adult','lesbian')
	insert into ctmp (parentname,name) values('adult','anal')
	insert into ctmp (parentname,name) values('adult','erect')
	insert into ctmp (parentname,name) values('adult','penis')
	insert into ctmp (parentname,name) values('education','.edu')
	insert into ctmp (parentname,name) values('education','learn')
	insert into ctmp (parentname,name) values('education','teach')
	insert into ctmp (parentname,name) values('education','education')
	insert into ctmp (parentname,name) values('education','tutor')
	insert into ctmp (parentname,name) values('education','lesson')
	insert into ctmp (parentname,name) values('education','tefl')
	insert into ctmp (parentname,name) values('education','study')
	insert into ctmp (parentname,name) values('education','academ')
	insert into ctmp (parentname,name) values('education','college')
	insert into ctmp (parentname,name) values('education','school')
	insert into ctmp (parentname,name) values('home','family')
	insert into ctmp (parentname,name) values('home','parent')
	insert into ctmp (parentname,name) values('home','kids')
	insert into ctmp (parentname,name) values('home','home.')
	insert into ctmp (parentname,name) values('home','/home')
	insert into ctmp (parentname,name) values('home','hometown')
	insert into ctmp (parentname,name) values('home','children')
	insert into ctmp (parentname,name) values('home','child')
	insert into ctmp (parentname,name) values('home','baby')
	insert into ctmp (parentname,name) values('home','babies')
	insert into ctmp (parentname,name) values('home','.mom')
	insert into ctmp (parentname,name) values('home','.mother')
	insert into ctmp (parentname,name) values('home','teenage')
	insert into ctmp (parentname,name) values('home','.father')
	insert into ctmp (parentname,name) values('health','health')
	insert into ctmp (parentname,name) values('health','fitness')
	insert into ctmp (parentname,name) values('health','aerobics')
	insert into ctmp (parentname,name) values('health','/body')
	insert into ctmp (parentname,name) values('health','fit-')
	insert into ctmp (parentname,name) values('health','pharm')
	insert into ctmp (parentname,name) values('health','drug')
	insert into ctmp (parentname,name) values('health','doctor')
	insert into ctmp (parentname,name) values('health','medicine')
	insert into ctmp (parentname,name) values('health','-docs')
	insert into ctmp (parentname,name) values('health','medical')
	insert into ctmp (parentname,name) values('health','hospital')
	insert into ctmp (parentname,name) values('health','cosmetic')
	insert into ctmp (parentname,name) values('health','diet')
	insert into ctmp (parentname,name) values('health','beauty')
	insert into ctmp (parentname,name) values('news','/news')
	insert into ctmp (parentname,name) values('news','news.')
	insert into ctmp (parentname,name) values('news','daily')
	insert into ctmp (parentname,name) values('news','newz')
	insert into ctmp (parentname,name) values('news','.news')
	insert into ctmp (parentname,name) values('news','reporter')
	insert into ctmp (parentname,name) values('news','times')
	insert into ctmp (parentname,name) values('news','journal')
	insert into ctmp (parentname,name) values('news','papers')
	insert into ctmp (parentname,name) values('chat','chat.')
	insert into ctmp (parentname,name) values('chat','/chat')
	insert into ctmp (parentname,name) values('chat','chat/')
	insert into ctmp (parentname,name) values('chat','forum')
	insert into ctmp (parentname,name) values('chat','mail')
	insert into ctmp (parentname,name) values('chat','icq')
	insert into ctmp (parentname,name) values('chat','msn')
	insert into ctmp (parentname,name) values('chat','chats')
	insert into ctmp (parentname,name) values('chat','talk')
	insert into ctmp (parentname,name) values('chat','thread')
	insert into ctmp (parentname,name) values('chat','message')
	insert into ctmp (parentname,name) values('media','video.')
	insert into ctmp (parentname,name) values('media','audio.')
	insert into ctmp (parentname,name) values('media','/audio')
	insert into ctmp (parentname,name) values('media','/video')
	insert into ctmp (parentname,name) values('media','music')
	insert into ctmp (parentname,name) values('media','mp3')
	insert into ctmp (parentname,name) values('media','film')
	insert into ctmp (parentname,name) values('advertising','/adv')
	insert into ctmp (parentname,name) values('advertising','ad.')
	insert into ctmp (parentname,name) values('advertising','banner.')
	insert into ctmp (parentname,name) values('advertising','ad1.')
	insert into ctmp (parentname,name) values('advertising','ad2.')
	insert into ctmp (parentname,name) values('advertising','ban.')
	insert into ctmp (parentname,name) values('advertising','doubleclic')
	insert into ctmp (parentname,name) values('advertising','sponsor')
	insert into ctmp (parentname,name) values('advertising','linkexchan')
	insert into ctmp (parentname,name) values('advertising','adforum')
	insert into ctmp (parentname,name) values('advertising','admedia')
	insert into ctmp (parentname,name) values('advertising','promo-')
	insert into ctmp (parentname,name) values('advertising','addv')
	insert into ctmp (parentname,name) values('advertising','adtech')
	insert into ctmp (parentname,name) values('advertising','advert')
	insert into ctmp (parentname,name) values('advertising','adassoc')
	insert into ctmp (parentname,name) values('advertising','adclick')
	insert into ctmp (parentname,name) values('advertising','ad-')
endproc

procedure default_protocol
	create cursor cTmp (id i autoinc, parentname c(15),name c(10))
	insert into ctmp (parentname,name) values('tcp','tcp')
	insert into ctmp (parentname,name) values('udp','udp')
	insert into ctmp (parentname,name) values('ftp','ftp')
	insert into ctmp (parentname,name) values('ftp','21')
	insert into ctmp (parentname,name) values('pop3','110')
	insert into ctmp (parentname,name) values('pop3','pop')
	insert into ctmp (parentname,name) values('smtp','25')
	insert into ctmp (parentname,name) values('smtp','smtp')
	insert into ctmp (parentname,name) values('icmp','icmp')
	insert into ctmp (parentname,name) values('ssl','443')
	insert into ctmp (parentname,name) values('ssl','ssl')
	insert into ctmp (parentname,name) values('ssl','https')
	insert into ctmp (parentname,name) values('ssl','ssl-tun')
	insert into ctmp (parentname,name) values('xdma','xdma')
	insert into ctmp (parentname,name) values('vdolive','vdolive')
	insert into ctmp (parentname,name) values('telnet','23')
	insert into ctmp (parentname,name) values('http','80')
	insert into ctmp (parentname,name) values('http','8080')
	insert into ctmp (parentname,name) values('http','http')
	insert into ctmp (parentname,name) values('rtsp','rtsp')
	insert into ctmp (parentname,name) values('whois','43')
	insert into ctmp (parentname,name) values('whois','whois')
	insert into ctmp (parentname,name) values('dns','53')
	insert into ctmp (parentname,name) values('dns','dns')
	insert into ctmp (parentname,name) values('gopher','70')
	insert into ctmp (parentname,name) values('gopher','gopher')
	insert into ctmp (parentname,name) values('nntp','119')
	insert into ctmp (parentname,name) values('nntp','nntp')
	insert into ctmp (parentname,name) values('sntp','123')
	insert into ctmp (parentname,name) values('sntp','sntp')
	insert into ctmp (parentname,name) values('imap4','143')
	insert into ctmp (parentname,name) values('imap4','imap')
	insert into ctmp (parentname,name) values('imap4','imap4')
	insert into ctmp (parentname,name) values('socks','1080')
	insert into ctmp (parentname,name) values('socks','socks')
	insert into ctmp (parentname,name) values('irc','6667')
	insert into ctmp (parentname,name) values('icq','5190')
	insert into ctmp (parentname,name) values('dhcp','67')
	insert into ctmp (parentname,name) values('kerberos-sec','88')
	insert into ctmp (parentname,name) values('ldap','389')
	insert into ctmp (parentname,name) values('ldap','ldap')
	insert into ctmp (parentname,name) values('ldap gc','3268')
	insert into ctmp (parentname,name) values('ldap gc','ldap gc')
	insert into ctmp (parentname,name) values('ldaps gc','3269')
	insert into ctmp (parentname,name) values('ldaps gc','ldaps gc')
	insert into ctmp (parentname,name) values('microsoft cifs','445')
	insert into ctmp (parentname,name) values('microsoft cifs','microsoft')
	insert into ctmp (parentname,name) values('microsoft sql','1434')
	insert into ctmp (parentname,name) values('netbios','138')
	insert into ctmp (parentname,name) values('netbios','netbios')
	insert into ctmp (parentname,name) values('netbios ns','137')
	insert into ctmp (parentname,name) values('netbios session','139')
	insert into ctmp (parentname,name) values('ntp','123')
	insert into ctmp (parentname,name) values('ntp','ntp')
	insert into ctmp (parentname,name) values('ping','ping')
	insert into ctmp (parentname,name) values('rdp','3389')
	insert into ctmp (parentname,name) values('rdp','rdp')
	insert into ctmp (parentname,name) values('rpc','135')
	insert into ctmp (parentname,name) values('rpc','rpc')
	insert into ctmp (parentname,name) values('ssh','22')
	insert into ctmp (parentname,name) values('ssh','ssh')
	insert into ctmp (parentname,name) values('daytime','13')
	insert into ctmp (parentname,name) values('ica','1494')
	insert into ctmp (parentname,name) values('ica','ica')
	insert into ctmp (parentname,name) values('pptp','1723')
	insert into ctmp (parentname,name) values('pptp','pptp')
	insert into ctmp (parentname,name) values('msn messenger','1863')
	insert into ctmp (parentname,name) values('time','37')
	insert into ctmp (parentname,name) values('time','time')
	insert into ctmp (parentname,name) values('mms','1755')
	insert into ctmp (parentname,name) values('mms','mms')
	insert into ctmp (parentname,name) values('radius accounti','1813')
endproc

procedure default_typedata
	create cursor cTmp (id i autoinc, parentname c(15),name c(10))
	insert into cTmp (parentname,name) values('audio','.aiff')
	insert into cTmp (parentname,name) values('audio','.au')
	insert into cTmp (parentname,name) values('audio','.mid')
	insert into cTmp (parentname,name) values('audio','.mp3')
	insert into cTmp (parentname,name) values('audio','.m3u')
	insert into cTmp (parentname,name) values('audio','.qcp')
	insert into cTmp (parentname,name) values('audio','.ra')
	insert into cTmp (parentname,name) values('audio','.wav')
	insert into cTmp (parentname,name) values('audio','.gsm')
	insert into cTmp (parentname,name) values('audio','.wax')
	insert into cTmp (parentname,name) values('audio','.wma')
	insert into cTmp (parentname,name) values('audio','.ram')
	insert into cTmp (parentname,name) values('audio','.mjf')
	insert into cTmp (parentname,name) values('image','.bmp')
	insert into cTmp (parentname,name) values('image','.gif')
	insert into cTmp (parentname,name) values('image','.jpg')
	insert into cTmp (parentname,name) values('image','.jpeg')
	insert into cTmp (parentname,name) values('image','.jpe')
	insert into ctmp (parentname,name) values('image','.pict')
	insert into ctmp (parentname,name) values('image','.png')
	insert into ctmp (parentname,name) values('image','.svg')
	insert into ctmp (parentname,name) values('image','.tif')
	insert into ctmp (parentname,name) values('image','.tiff')
	insert into ctmp (parentname,name) values('image','.rf')
	insert into ctmp (parentname,name) values('image','.rp')
	insert into ctmp (parentname,name) values('image','.ico')
	insert into ctmp (parentname,name) values('image','.art')
	insert into ctmp (parentname,name) values('image','.pntg')
	insert into ctmp (parentname,name) values('image','.qtif')
	insert into ctmp (parentname,name) values('image','.sgi')
	insert into ctmp (parentname,name) values('image','.targa')
	insert into ctmp (parentname,name) values('image','.xbm')
	insert into ctmp (parentname,name) values('image','.psd')
	insert into ctmp (parentname,name) values('image','.pnm')
	insert into ctmp (parentname,name) values('image','.pbm')
	insert into ctmp (parentname,name) values('image','.pgm')
	insert into ctmp (parentname,name) values('image','.ppm')
	insert into ctmp (parentname,name) values('image','.rgb')
	insert into ctmp (parentname,name) values('image','.xpm')
	insert into ctmp (parentname,name) values('image','.xwd')
	insert into ctmp (parentname,name) values('text','.323')
	insert into ctmp (parentname,name) values('text','.uls')
	insert into ctmp (parentname,name) values('text','.txt')
	insert into ctmp (parentname,name) values('text','.rtx')
	insert into ctmp (parentname,name) values('text','.wsc')
	insert into ctmp (parentname,name) values('text','.rt')
	insert into ctmp (parentname,name) values('text','.htt')
	insert into ctmp (parentname,name) values('text','.htc')
	insert into ctmp (parentname,name) values('text','.vcf')
	insert into ctmp (parentname,name) values('text','.rtf')
	insert into ctmp (parentname,name) values('text','.ini')
	insert into ctmp (parentname,name) values('text','.cfg')
	insert into ctmp (parentname,name) values('video','.avi')
	insert into ctmp (parentname,name) values('video','.flc')
	insert into ctmp (parentname,name) values('video','.mpeg')
	insert into ctmp (parentname,name) values('video','.mov')
	insert into ctmp (parentname,name) values('video','.rv')
	insert into ctmp (parentname,name) values('video','.ivf')
	insert into ctmp (parentname,name) values('video','.wm')
	insert into ctmp (parentname,name) values('video','.wmp')
	insert into ctmp (parentname,name) values('video','.wmv')
	insert into ctmp (parentname,name) values('video','.wmx')
	insert into ctmp (parentname,name) values('video','.wvx')
	insert into ctmp (parentname,name) values('video','.rms')
	insert into ctmp (parentname,name) values('video','.asx')
	insert into ctmp (parentname,name) values('video','.movie')
	insert into ctmp (parentname,name) values('application','.wmd')
	insert into ctmp (parentname,name) values('application','.wms')
	insert into ctmp (parentname,name) values('application','.wmz')
	insert into ctmp (parentname,name) values('application','.p12')
	insert into ctmp (parentname,name) values('application','.p7b')
	insert into ctmp (parentname,name) values('application','.p7r')
	insert into ctmp (parentname,name) values('application','.qtl')
	insert into ctmp (parentname,name) values('application','.rtsp')
	insert into ctmp (parentname,name) values('application','.swf')
	insert into ctmp (parentname,name) values('application','.sit')
	insert into ctmp (parentname,name) values('application','.tar')
	insert into ctmp (parentname,name) values('application','.man')
	insert into ctmp (parentname,name) values('application','.urls')
	insert into ctmp (parentname,name) values('application','.zip')
	insert into ctmp (parentname,name) values('application','.exe')
	insert into ctmp (parentname,name) values('application','.rar')
	insert into ctmp (parentname,name) values('application','.cdf')
	insert into ctmp (parentname,name) values('application','.fml')
	insert into ctmp (parentname,name) values('application','.fif')
	insert into ctmp (parentname,name) values('application','.spl')
	insert into ctmp (parentname,name) values('application','.hta')
	insert into ctmp (parentname,name) values('application','.hqx')
	insert into ctmp (parentname,name) values('application','.doc')
	insert into ctmp (parentname,name) values('application','.pdf')
	insert into ctmp (parentname,name) values('application','.p10')
	insert into ctmp (parentname,name) values('application','.p7m')
	insert into ctmp (parentname,name) values('application','.p7s')
	insert into ctmp (parentname,name) values('application','.cer')
	insert into ctmp (parentname,name) values('application','.crl')
	insert into ctmp (parentname,name) values('application','.ps')
	insert into ctmp (parentname,name) values('application','.sdp')
	insert into ctmp (parentname,name) values('application','.setpay')
	insert into ctmp (parentname,name) values('application','.setreg')
	insert into ctmp (parentname,name) values('application','.smil')
	insert into ctmp (parentname,name) values('application','.ssm')
	insert into ctmp (parentname,name) values('application','.xfdf')
	insert into ctmp (parentname,name) values('application','.fdf')
	insert into ctmp (parentname,name) values('application','.xls')
	insert into ctmp (parentname,name) values('application','.sst')
	insert into ctmp (parentname,name) values('application','.pko')
	insert into ctmp (parentname,name) values('application','.cat')
	insert into ctmp (parentname,name) values('application','.stl')
	insert into ctmp (parentname,name) values('application','.rmf')
	insert into ctmp (parentname,name) values('application','.rm')
	insert into ctmp (parentname,name) values('application','.rnx')
	insert into ctmp (parentname,name) values('application','.rjs')
	insert into ctmp (parentname,name) values('application','.rmx')
	insert into ctmp (parentname,name) values('application','.rmp')
	insert into ctmp (parentname,name) values('application','.rsml')
	insert into ctmp (parentname,name) values('application','.vsl')
	insert into ctmp (parentname,name) values('application','.z')
	insert into ctmp (parentname,name) values('application','.tgz')
	insert into ctmp (parentname,name) values('application','.dir')
	insert into ctmp (parentname,name) values('application','.gz')
	insert into ctmp (parentname,name) values('application','.uin')
	insert into ctmp (parentname,name) values('application','.hpf')
	insert into ctmp (parentname,name) values('application','.pnq')
	insert into ctmp (parentname,name) values('application','.scm')
	insert into ctmp (parentname,name) values('application','.ins')
	insert into ctmp (parentname,name) values('application','.iii')
	insert into ctmp (parentname,name) values('application','.latex')
	insert into ctmp (parentname,name) values('application','.nix')
	insert into ctmp (parentname,name) values('wap','.wbmp')
	insert into ctmp (parentname,name) values('wap','.wml')
	insert into ctmp (parentname,name) values('wap','.wmlc')
	insert into ctmp (parentname,name) values('wap','.wmls')
	insert into ctmp (parentname,name) values('wap','.wmlsc')
	insert into ctmp (parentname,name) values('web','.css')
	insert into ctmp (parentname,name) values('web','.htm')
	insert into ctmp (parentname,name) values('web','.html')
	insert into ctmp (parentname,name) values('web','.shtml')
	insert into ctmp (parentname,name) values('web','.xml')
	insert into ctmp (parentname,name) values('web','.sgm')
	insert into ctmp (parentname,name) values('web','.sgml')
	insert into ctmp (parentname,name) values('web','.php')
	insert into ctmp (parentname,name) values('web','.asp')
	insert into ctmp (parentname,name) values('web','.phtml')
	insert into ctmp (parentname,name) values('web','.aspx')
endproc
